function doClick(e) {
    alert($.label.text);
}

//CoreMotion Step Counter Logic
var callCount = 0;
var CoreMotion = require("ti.coremotion");

//NEW WAY OF DOING STEP COUNTING

var pedometer = CoreMotion.createPedometer();

if(pedometer.isStepCountingAvailable()){
	$.stepLabel.text = "IT IS NOW!";
	pedometer.startPedometerUpdates({
		start: new Date(new Date().getTime() - 60 * 60 * 1000)
	}, function(e) {
		$.stepLabel.text = e.numberOfSteps;
	});
}

//OLD WAY OF DOING STEP COUNTING
/*
if (CoreMotion.isStepCountingAvailable()) {
	    // If it can, it starts the step counter and outputs the data to the console
	    CoreMotion.startStepCountingUpdates({stepCounts: 1}, function(e) {
	    	//$.stepLabel.text = e.numberOfSteps;
	   //     Ti.API.info(JSON.stringify(e.numberOfSteps));
	    //CoreMotion.startStepCountingUpdates({stepCounts: 1}, function(e){
        Ti.API.info(JSON.stringify(e.numberOfSteps));
        var steps = JSON.stringify(e.numberOfSteps);
         $.stepLabel.text = JSON.stringify(e.numberOfSteps);
	   });
	   }

*/

$.index.open();
